﻿/* Generated with Author-it 5.0.12.670  7/21/2008 1:09:24 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2007 Ensim Corporation. All rights reserved.","© Copyright 2008 Parallels, Inc. All rights reserved.","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epw_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("There have been no changes to this document since its initial publication. For information about new features in this release, see the What's New document on the Parallels Pro Control Panel support page, http://www.parallels.com/en/support/pro/.","Document Revision History","7340.htm");
Page[4]=new Array("This guide provides instructions for upgrading to Parallels Pro Control Panel 10.3.2 for Windows 2003.","Note: For simplicity, Parallels Pro Control Panel 10.3.2 for Windows 2003 is referred to as &quot;Parallels Pro Control Panel&quot; throughout this document.","Note: This guide is updated as new information becomes available. Before you begin, be sure to check the Parallels Pro Control Panel for Windows documentation page, http://www.parallels.com/en/support/pro/docs, to make sure you have the latest version of the guide. The date on the title page indicates the version; changes, if any, are recorded in the document revision history.","About This Guide","7341.htm");
Page[5]=new Array("This guide is intended for those who need to set up and use Parallels Pro Control Panel, including system administrators, technical support staff of Internet service providers (ISPs), or anyone who wants to host sites on a Microsoft Windows Server 2003 server using Parallels Pro Control Panel.","To use this guide, you need to be familiar with the Windows Server 2003 platform as well as general Internet applications. In addition, you should have some or all of the following skills.","Using the Microsoft Windows Server 2003 operating system as a system administrator","Experience with networking applications","Understanding of system security","Understanding of DNS","Intended Audience and Required Skills","7343.htm");
Page[6]=new Array("For a list of related documentation, see the Parallels Pro Control Panel for Windows Release Notes. Documentation is also available in the Parallels Pro Control Panel for Windows documentation page, http://www.parallels.com/en/support/pro/docs.","Related Documentation","7344.htm");
Page[7]=new Array("Parallels Pro Control Panel provides comprehensive online Help designed to answer questions and help you find the information you need, when you need it. To access online Help, log in to the control panel, then click the Help links on the lower left navigation panel. To get help for a specific page, click @ on the upper right side of forms.","Online Help","7345.htm");
Page[8]=new Array("This section explains how to upgrade to Parallels Pro Control Panel 10.3.2 from Parallels Pro Control Panel 10.3.1.","Preparing for the Upgrade","7347.htm");
Page[9]=new Array("Before you begin the upgrade, read this section. It explains the upgrade requirements and procedures as well as the changes you can expect to see after the upgrade. It also explains what you would need to do in the unlikely event you needed to roll back to a previous version.","Note: Parallels recommends that you do a full back up of the existing Parallels Pro Control Panel server before upgrading it to Parallels Pro Control Panel 10.3.2.","Before You Begin","7349.htm");
Page[10]=new Array("If you have translated or modified the .po files, which are used to display text in the control panels, or the online Help files, back them up so that you can refer to them later. Existing online Help and .po files might be overwritten during the upgrade process.","To back up .po files, back up the &lt;install_dir&gt;\\cp\\admin\\resources directory; to back up Help files, back up the &lt;install_dir&gt;\\cp\\admin\\help directory where &lt;install_dir&gt; is the location of the Parallels Pro Control Panel installation directory. If the default settings were used during installation, these directories are:","C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\resources","C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\help","Back Up Modified .po or Help Files","7350.htm");
Page[11]=new Array("For the upgrade from Parallels Pro Control Panel 10.3.1, you must enable named pipes and TCP/IP for the existing database service Microsoft SQL Server 2005, if they are not already enabled.","To enable named pipes and TCP/IP for Microsoft SQL Server 2005:","Click Start &gt; Programs &gt; Microsoft SQL Server 2005 &gt; Configuration Tools &gt; SQL Server Configuration Manager.","Under SQL Server 2005 Network Configuration &gt; Protocols for MSSQLSERVER:","Double-click the protocol name TCP/IP and set the property ENABLED to Yes.","Double-click the protocol name Named Pipes and set the property ENABLED to Yes.","To restart MS SQL 2005 service, run the following commands in the command prompt window of the Parallels Pro Control Panel server:","net stop mssqlserver<br>net start mssqlserver","Enable Named Pipes and TCP/IP for Microsoft SQL Server 2005","7351.htm");
Page[12]=new Array("This section explains how long the upgrade takes and the expected impact on your customers. It also describes the hardware, software, and other requirements of the upgrade. Make sure you understand the expectations and can meet these requirements before you begin.","Requirements","7352.htm");
Page[13]=new Array("Depending upon the system configuration, it takes at least 30 minutes to install the software required for this upgrade. During the upgrade, new Web sites cannot be provisioned, and all Parallels Pro Control Panels are unavailable.","Time Requirements and Customer Impact","7353.htm");
Page[14]=new Array("You must ensure that the minimum available disk space on the existing Parallels Pro Control Panel server is 1 GB before upgrading to Parallels Pro Control Panel 10.3.2.","Hardware Requirements","7354.htm");
Page[15]=new Array("Ensure that you have obtained the following software required for upgrading to Parallels Pro Control Panel 10.3.2:","Ensim Pro 10.2.0, 10.3.0 or Parallels Pro Control Panel 10.3.1: You must upgrade your current setup of Ensim Pro to Parallels Pro Control Panel version 10.3.1 in order to successfully upgrade to Parallels Pro Control Panel 10.3.2.","Software Requirements","7355.htm");
Page[16]=new Array("The license that you are using for Ensim Pro 10.2.0/10.3.0 or Parallels Pro Control Panel 10.3.1 can be used for Parallels Pro Control Panel 10.3.2. However, an Ensim Pro promotional license cannot be used for Parallels Pro Control Panel 10.3.2.","Note: Microsoft SQL Server 2005 Management add-on is made FREE and included into every new or updated license for Parallels Pro Control Panel for Windows.","When you buy Parallels Pro Control Panel 10.3.2 license at Parallels Online Store (http://www.parallels.com/en/buyonline/pro/)or from your Parallels Account Manager, you receive the license key in the order confirmation email from Parallels. Parallels Pro Control Panel requires a valid license for a pre-determined number of sites, for example, a 250-domain license.","License Requirements","7356.htm");
Page[17]=new Array("During the upgrade, you need to know the following login information:","Username and password for remotely logging in to the Parallels Pro Control Panel server.","Username and password for logging in to the server administrator control panel.","Username and Password Requirements","7357.htm");
Page[18]=new Array("Use the following checklist to verify that you have adequately prepared your Parallels Pro Control Panel setup for a successful upgrade.","Task","Status","1. Do you have the following information required during the upgrade?","Username and password for the Parallels Pro Control Panel server administrator","Username and password for logging in to the server administrator control panel","2. If you have the MySQL add-on installed, do you have MySQL version 4.0.13 or higher, and a compatible version of MyODBC?","3. Have you enabled named pipes and TCP/IP for the existing database service (Microsoft SQL Server 2005) on the Parallels Pro Control Panel server?","4. Have you done a full backup of the existing Parallels Pro Control Panel server?","Upgrade Checklist","7361.htm");
Page[19]=new Array("This section provides upgrade instructions.","Time required for complete installation: Minimum 30 minutes, depending on system configuration.","Upgrade Instructions","7362.htm");
Page[20]=new Array("To upgrade Parallels Pro Control Panel to version 10.3.2, you need to run the EPWUpgrade.10.3.2.exe file. Before starting the upgrade, EPWUpgrade.10.3.2.exe backs up all the files that are replaced during the upgrade including the .po files and the Parallels Pro Control Panel database, in the directory from where the EPWUpgrade.10.3.2.exe is executed. If the EPWUpgrade.10.3.2.exe is executed from the C: drive, then the location where these files are backed up is C:\\EPWBackup.","You can upgrade Parallels Pro Control Panel from version 10.2.0 to 10.3.2 using the instructions given below.","To upgrade to Parallels Pro Control Panel 10.3.2:","Log in to the Parallels Pro Control Panel server as the administrator.","If you have the Parallels Pro Control Panel 10.3.2 CD, insert the CD into the server's CD-ROM drive, open a command window, and change to the Upgrade directory on the CD, where the EPWUpgrade.10.3.2.exe file is located.","If you have downloaded the Parallels Pro Control Panel 10.3.2 installation files from the location given in the purchase order email from Parallels, open a command window, and change to the directory where you downloaded the installation files. Then change to the Upgrade directory, where the EPWUpgrade.10.3.2.exe file is located.","Run the file EPWUpgrade.10.3.2.exe. Provide the backup location where the data needs to be backed up. Click the Start Upgrade button in the Upgrade wizard window to begin the upgrade.","Parallels Pro Control Panel is upgraded to version 10.3.2.","Step 1. Upgrading to Parallels Pro Control Panel 10.3.2","7364.htm");
Page[21]=new Array("This section explains how to upgrade the online Help for Parallels Pro Control Panel.","To upgrade the online Help:","Connect to the Parallels Pro Control Panel 10.3.2 server using the console or terminal services and log in as the administrator.","Uninstall the HelpInstaller.msi file which is for 10.2.0/10.3.0 or 10.3.1 version. To do this, press the Start button on the Windows taskbar, choose Settings -&gt; Control Panel -&gt; Add or Remove Programs, find Ensim Pro Online Help and press Uninstall.","Install the file Parallels Pro Online Help.10.3.2.msi.","If you have the Parallels Pro Control Panel 10.3.2 CD, insert the CD in your CD-ROM drive, browse to the Help directory on the CD, and run Parallels Pro Online Help.10.3.2.msi.","If you have downloaded the Parallels Pro Control Panel 10.3.2 installation files on your hard disk or on your local network, browse to that directory, and run Parallels Pro Online Help.10.3.2.msi.","The Welcome window opens.","Click Next.","In the Confirm Installation window, click Next.","In the Installation Complete window, click Close to complete the installation.","The Parallels Pro Control Panel Online Help is upgraded to version 10.3.2. You can access the online Help from the Parallels Pro Control Panel 10.3.2 control panel by clicking General Help in the Help section on the left navigation bar.","Step 2. Upgrading the Online Help","7367.htm");
Page[22]=new Array("After you complete the installation, verify that the installation succeeded using the following procedure.","To verify that the installation succeeded:","Log in to the Parallels Pro Control Panel.","On the left navigation bar, in the Help section, click About.","Verify that the control panel version is displayed as 10.3.2.&lt;build_no&gt;.","Add a site and provision all the service components to it. If the site is created successfully, the upgrade succeeded.","This completes the installation instructions.","Step 3. Verifying That the Upgrade Succeeded","7368.htm");
Page[23]=new Array("After you complete the upgrade, you can update any .po files or Help files you modified before upgrading to Parallels Pro Control Panel 10.3.2 (optional).","You can then start using Parallels Pro Control Panel by adding resellers and sites.","Post-upgrade Tasks","7370.htm");
Page[24]=new Array("During the upgrade, existing .po and Help files are overwritten. If you translated or modified any of these files for a previous version of Parallels Pro Control Panel, and if you backed them up before you began the upgrade, you can compare these files to the upgraded files, then update them if necessary. The upgraded files are located in the following directories:",".po files: &lt;install_dir&gt;\\cp\\admin\\resources","Help files: &lt;install_dir&gt;\\cp\\admin\\help","where &lt;install_dir&gt; is the location of the Parallels Pro Control Panel installation directory. If the default settings were used during installation, these directories are:","C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\resources","C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\help","If you update .po files after the upgrade, you need to register the language pack as described in the following section.","To register the language pack:","Log in to the Parallels Pro Control Panel server as the administrator.","Open a command window, and change to the &lt;install_dir&gt;\\cp\\admin\\resources directory, where &lt;install_dir&gt; is the location of the Parallels Pro Control Panel installation directory. If the default settings were used during the Parallels Pro Control Panel installation, the directory path is C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\resources","On the command line, run the following commands:","net stop w3svc","The World Wide Web Publishing Service is stopped.","reglangpack -s &lt;server_ip&gt;","where &lt;server_ip&gt; is the IP address of the Parallels Pro Control Panel server.","net start w3svc","The World Wide Web Publishing Service is started, and language pack registration is complete.","In the command window, change to the &lt;install_dir&gt;\\cp\\admin\\siteadmin\\serviceComponents\\filemanager\\ FMWeb\\resources directory, where &lt;install_dir&gt; is the location of the Parallels Pro Control Panel installation directory, and repeat step 3.","If the default settings were used during the Parallels Pro Control Panel installation, the directory path is C:\\Program Files\\Ensim\\WEBppliance\\cp\\admin\\siteadmin\\serviceComponents\\filemanager\\FMWeb\\resources.","The language pack registration is complete.","Update .po and Help Files (optional)","7372.htm");
Page[25]=new Array("After upgrading to Parallels Pro Control Panel 10.3.2, you can log in to the Parallels Pro Control Panel, and create new resellers and sites and manage existing ones.","Next Steps","7373.htm");
Page[26]=new Array("If the upgrade fails, and you have done a full back up of the server, you can restore your server from the backup before re-attempting upgrading to Parallels Pro Control Panel 10.3.2.","Rolling back to Parallels Pro Control Panel  10.3.1","7374.htm");
var PageCount=27;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=ISO-8859-1'>\n";
Result+="<title>Search Results</title>\n";
Result+='<script language="javascript" type="text/javascript" charset="ISO-8859-1" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="<style type='text/css'>\n";
Result+=".searchDetails {font-family:verdana; font-size:8pt; font-weight:bold}\n";
Result+=".searchResults {font-family:verdana; font-size:8pt}\n";
Result+="</style>\n";
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}